#
# spec file for package amavisd-new (Version 2.2.1)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  openldap2-client openssl sendmail sendmail-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext krb5 libtool perl rpm sendmail sendmail-devel

Name:         amavisd-new
License:      GPL
Group:        Productivity/Networking/Security
URL:          http://www.ijs.si/software/amavisd/
Obsoletes:    amavisd-postfix amavis-postfix amavis-sendmail amavisd-sendmail
Requires:     gzip bzip2 lha unace unarj unrar zoo sharutils perl-Compress-Zlib >= 1.35 perl-Convert-UUlib >= 1.04 perl-IO-stringy perl-MIME-tools perl-MailTools perl-Archive-Tar perl-Unix-Syslog perl-Convert-TNEF perl-Archive-Zip >= 1.14 perl-Net-Server perl-spamassassin file perl-BerkeleyDB
PreReq:       /usr/sbin/useradd /bin/hostname /bin/sed /bin/cp /bin/mv %insserv_prereq
Autoreqprov:  on
Summary:      High-Performance E-Mail Virus Scanner
Version:      2.3.3
Release:      2
Source0:      amavisd-new-%{version}.tar.gz
Source1:      sysconfig.amavis
Source2:      rc.amavis
Source3:      README.SuSE
Patch:        amavisd-new-2.2.0.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%define avspool        /var/spool/amavis
%define avquarantine   /var/spool/amavis/virusmails
%define miltersockdir  /var/run/amavis
%define avuser       vscan
%define avgroup      vscan
# ---------------------------------------------------------------------------
%debug_package
%prep
%setup -n amavisd-new-%{version}
%patch
# ---------------------------------------------------------------------------

%build
cd helper-progs
./configure --prefix=/usr --with-user=%{avuser} \
            --with-runtime-dir=%{avspool} \
	    --with-sockname=%{avspool}/amavisd.sock \
	    --with-milterlib=%{_libdir}
make
# ---------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
# create the vscan user in the build system
/usr/sbin/groupadd -r %{avgroup} 2> /dev/null || :
/usr/sbin/useradd -r -o -g %{avgroup} -u 65 -s /bin/false -c "Vscan account" -d %{avspool} %{avuser} 2> /dev/null || :
mkdir -p $RPM_BUILD_ROOT/%{avquarantine}
mkdir -p $RPM_BUILD_ROOT/%{avspool}/tmp
mkdir -p $RPM_BUILD_ROOT/%{avspool}/db
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
mkdir -p $RPM_BUILD_ROOT/etc/openldap/schema
install -m 644 $RPM_SOURCE_DIR/sysconfig.amavis $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 755 amavisd $RPM_BUILD_ROOT/usr/sbin/amavisd
install -m 755 amavisd-agent $RPM_BUILD_ROOT/usr/sbin/amavisd-agent
install -m 755 amavisd-nanny $RPM_BUILD_ROOT/usr/sbin/amavisd-nanny
rm -f $RPM_BUILD_ROOT/etc/amavisd.conf
sed -e "s%^#*\$MYHOME[[:space:]]\+=.*%\$MYHOME = '%{avspool}';%" \
    -e "s%^#*\$QUARANTINEDIR[[:space:]]\+=.*%\$QUARANTINEDIR = '%{avquarantine}';%" \
    -e "s%^#*\$daemon_user[[:space:]]\+=.*%\$daemon_user = '%{avuser}';%" \
    -e "s%^#*\$daemon_group[[:space:]]\+=.*%\$daemon_group = '%{avgroup}';%" \
    -e "s%^#*[ ]*\$final_spam_destiny[[:space:]]\+=.*%\$final_spam_destiny = D_PASS;%" \
    -e "s%^\$sa_tag2_level_deflt[[:space:]]\+=.*%\$sa_tag2_level_deflt = 5.0;%" \
    -e "s%^\$spam_quarantine_to[[:space:]]\+=.*%\$spam_quarantine_to = undef;%" \
    -e "s%/var/run/clamav/clamd%/var/lib/clamav/clamd-socket%" \
    amavisd.conf > $RPM_BUILD_ROOT/etc/amavisd.conf
install -m 755 $RPM_SOURCE_DIR/rc.amavis $RPM_BUILD_ROOT/etc/init.d/amavis
ln -s ../../etc/init.d/amavis $RPM_BUILD_ROOT/usr/sbin/rcamavis
install -m 755 helper-progs/amavis $RPM_BUILD_ROOT/usr/sbin/amavis
install -m 755 helper-progs/amavis-milter $RPM_BUILD_ROOT/usr/sbin/amavis-milter
# copy README.SuSE
install -m 644 %{S:3} .
mkdir -p  $RPM_BUILD_ROOT/%{miltersockdir}
install -m 644 LDAP.schema $RPM_BUILD_ROOT/etc/openldap/schema/amavisd-new.schema
mkdir -p $RPM_BUILD_ROOT/%{perl_vendorlib}
install -m 644 JpegTester.pm $RPM_BUILD_ROOT/%{perl_vendorlib}/JpegTester.pm

%pre
/usr/sbin/groupadd -r %{avgroup} 2> /dev/null || :
/usr/sbin/useradd -r -o -g %{avgroup} -u 65 -s /bin/false -c "Vscan account" -d %{avspool} %{avuser} 2> /dev/null || :
/usr/sbin/usermod %{avuser} -g %{avgroup} 2> /dev/null || :

%preun
%stop_on_removal amavis

%post
if [ $1 -le 1 ]; then
   BAKSUFFIX=$(date +%Y-%m-%d)
   AVCF=etc/amavisd.conf
   AVDOMAIN=$(hostname -f | sed 's/[^\.]*\.//')
   if [ -n "$AVDOMAIN" ]; then
     rm -f $AVCF.NEW
     sed -e "s%^#*\$mydomain[[:space:]]\+=.*%\$mydomain = '$AVDOMAIN';%" \
       $AVCF > $AVCF.NEW
     if cmp -s $AVCF $AVCF.NEW ; then
       rm -f $AVCF.NEW
     else
       echo "setting \$mydomain to $AVDOMAIN in $AVCF"
       cp --remove-destination $AVCF $AVCF.$BAKSUFFIX
       mv $AVCF.NEW $AVCF
     fi
   fi
fi
%{fillup_and_insserv -n amavis amavis}

%postun
%restart_on_update amavis
%{insserv_cleanup}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/init.d/amavis
%config(noreplace) /etc/amavisd.conf
%dir /etc/openldap/schema
/etc/openldap/schema/amavisd-new.schema
/var/adm/fillup-templates/sysconfig.amavis
/usr/sbin/*
%{perl_vendorlib}/JpegTester.pm
%dir %attr(0700, %{avuser}, root) %{avspool}
%dir %attr(0700, %{avuser}, root) %{avspool}/tmp
%dir %attr(0700, %{avuser}, root) %{avspool}/db
%dir %attr(0700, %{avuser}, root) %{avquarantine}
%dir %attr(0700, %{avuser}, root) %{miltersockdir}
%doc AAAREADME.first INSTALL LDAP.schema LICENSE MANIFEST RELEASE_NOTES TODO 
%doc README_FILES
%doc test-messages
%doc README.SuSE

%description
Amavisd-new is a high-performance interface between mailer (MTA) and
content checkers: virus scanners, and/or SpamAssassin. It talks to the
MTA via (E)SMTP, LMTP, or by using helper programs. It works with the
following MTAs:

- postfix

- sendmail (sendmail-milter)

- exim



Authors:
--------
    Mark Martinec <mark.martinec@ijs.si>


%changelog -n amavisd-new
* Thu Dec 15 2005 - joe_morris@ntm.org
- updated to 2.3.3
* Thu Feb 03 2005 - choeger@suse.de
- s/X-UnitedLinux-Should-Start/Should-Start/
* Mon Jan 24 2005 - ro@suse.de
- removed arc dependency (deleted package)
* Fri Jan 21 2005 - choeger@suse.de
- update to version 2.2.1
* Wed Nov 24 2004 - choeger@suse.de
- update to version 2.2.0
* Tue Oct 05 2004 - choeger@suse.de
- bugfix: untainting filename in unlink() in function
  files_to_scan(). Without untaint() amavisd-new will
  e.g. fail in case of a message with an attachment that
  has more than $MAXFILES files in it.
* Thu Sep 23 2004 - choeger@suse.de
- setting "$final_spam_destiny = D_PASS;" again
- changing /var/run/clamav/clamd to /var/lib/clamav/clamd-socket
* Wed Sep 15 2004 - choeger@suse.de
- HUPing no longer possible in version 2.1, using
  amavisd reload instead
* Tue Sep 07 2004 - choeger@suse.de
- update to minor maintenance release 2.1.2
- fixed (hard)black- and white-listing on static lookup tables
  which failed to match any sender; reported by Derck Floor;
- use $hdrfrom_notify_recip address in the From: field for recipient
  notifications, instead of $hdrfrom_notify_admin; inconsistency pointed out
  by Ekkehard Burkon;
- the 'neutral' sender notification template was joining the Subject and the
  Message-ID header fields into one longer Subject when it was reporting some
  nondelivery other than the 'invalid characters in header'.  Likewise the
  first body line of this same DSN was eaten up: "This nondelivery report was
  generated by the amavisd-new program" (the problem was introduced in
  amavisd-new-20030616 and never reported);
- in amavisd-agent, amavisd-nanny, amavisd: extend the signal and error
  handling in code sections holding bdb locks from just ignoring the SIGINT,
  to controlled catching and re-signaling several signals and error
  conditions; problem reported by Tom Mulder;
- provide new macro %%e which evaluates to our best guess of the originator IP
  address collected from the Received trace, complementing similar macros
  %%t, %%a and %%g; suggested by Gregor Weiss;
- add the result of macro %%e to the default 0-level log entry;
* Thu Aug 26 2004 - choeger@suse.de
- uncomment $unix_socketname in amavisd.conf to be able to
  pipe into /usr/sbin/amavis, which needs to connect to
  $unix_socketname
* Thu Aug 26 2004 - choeger@suse.de
- Bugfix: amavisd 2.1.1 still announces itself as 2.1.0
* Wed Aug 25 2004 - choeger@suse.de
- update to latest version 2.1.1
- fixed specfile (now needs to additional directories %%{avspool}/tmp
  and %%{avspool}/db
- fixed hardcoded berkeleydb home path to /var/spool/amavis/db in
  amavisd-agent and amavisd-nanny
- added perl-BerkeleyDB to Requires
* Tue Aug 17 2004 - choeger@suse.de
- update to latest version 2.1.0 (20040815)
* Mon Jun 28 2004 - choeger@suse.de
- Bugfix ID#42381 - amavisd-new reload/restart kills service
  chown logfile to $daemon_user when using file logging instead
  of syslog
- Bugfix ID#42223 - amavis-new spams mail.warn
  do not enable amavisd-new per default in sysconfig.amavis
* Mon Jun 07 2004 - choeger@suse.de
- added clamd to X-UnitedLinux-Should-Start in init-script
  (related to Bugzilla ID#41722)
* Fri Apr 23 2004 - choeger@suse.de
- Bugfix Bugzilla ID#39293, amavisd-new + bind9 cache
  When using rbl checks etc. in amavisd-new (/etc/amavsid.conf:
  $sa_local_tests_only = 0;   # (default: false)) amavis seems to check for a
  working DNS resolver.  If not present, remote tests are disabled.
-> added $named to X-UnitedLinux-Should-Start in init-script
* Tue Apr 06 2004 - choeger@suse.de
- update to patchlevel 9:
  The P9 fixes few minor problems that P8 introduced, adds more workarounds for
  Perl taint bugs, recognizes SFX LHA archives, supports DrWebD 4.31, The
  helper program amavis-milter.c now checks and properly reports the status of
  all calls to mkdir/rmdir/open/unlink/write, and makes a clear distinction
  between message data and connection data. Please see the RELEASE NOTES.
* Tue Mar 30 2004 - choeger@suse.de
- forgot to add the patch for the X-Amavis-Alert changes
* Fri Mar 26 2004 - choeger@suse.de
- added sendmail to neededforbuild
- always use the same X-Amavis-Alert header (and not X-AMaViS-Alert on
  one place)
* Wed Mar 17 2004 - choeger@suse.de
- update to patchlevel 8
  Improved W32/Bagle-{F,...} detection (password-protected zip archives)
  Bugzilla ID#36041
* Thu Feb 26 2004 - choeger@suse.de
- forgot to increase patchlevel in version number
* Fri Jan 09 2004 - choeger@suse.de
- update to 20030616-p7
* Thu Dec 11 2003 - choeger@suse.de
- add amavis LDAP.schema to filelist (/etc/openldap/schema/amavisd-new.schema)
- deaktivate virus-scanner per default, as this requires one of the
  commercial virus scanners to be installed.
* Mon Nov 17 2003 - choeger@suse.de
- update to 20030616-p6
* Fri Oct 31 2003 - choeger@suse.de
- Don't build as root
* Fri Sep 05 2003 - choeger@suse.de
- security: create own group vscan and put user vscan into
  group vscan as documented in the INSTALL document
* Thu Sep 04 2003 - choeger@suse.de
- update to 20030616-p5
  The p5 fixes SQL white/blacklist caching bug, fixes a failure when attempting
  to parse nonexistent Received header field, and few minor details. See the
  RELEASE NOTES.
* Tue Sep 02 2003 - choeger@suse.de
- only copy /etc/amavisd.conf, if it had been really changed in %%post
* Mon Sep 01 2003 - choeger@suse.de
- added spamassassin to Requires (Bugzilla ID#29731)
* Fri Aug 29 2003 - kukuk@suse.de
- Add -r option to useradd for systemaccounts [Bug #29611]
* Fri Aug 29 2003 - mmj@suse.de
- Add sysconfig metadata [#28812]
* Wed Jul 30 2003 - choeger@suse.de
- new macros for stop/restart of services on rpm update/removal
* Mon Jul 28 2003 - choeger@suse.de
- added AMAVIS_SENDMAIL_MILTER feature to sysconfig.amavis
- added AMAVIS_SENDMAIL_MILTER to init-script
- updated README.SuSE
- added patch to 20030616-p3
* Tue Jul 01 2003 - choeger@suse.de
- do not quarantine spam mails, because the amavisd-new default is to reject
  spam, which I changed to pass and tag, so there's no need to store them.
- set default spam score to 5.0, which is the spamassassin default
- added sysconfig.amavis to integrate into postfix/sendmail as with
  amavis[d]-postfix/amavis[d]-sendmail
* Tue Jul 01 2003 - choeger@suse.de
- use --with-milterlib=%%{_libdir} in order to find libmilter.a on
  64bit biarchs
* Mon Jun 30 2003 - choeger@suse.de
- initial version 20030616-p2
